## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XercesDOM_NodeHack Class Reference

This class is deprecated. More...

List of all members.

## Public Types

- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOM_Node ParentType

## Public Member Functions

- XercesDOM_NodeHack (NodeImplType *theImpl=0)
- ~XercesDOM_NodeHack ()
- NodeImplType * getImpl () const

## Static Public Member Functions

- NodeImplType * getImpl (const ParentType &theNode)

## Detailed Description

This class is deprecated.

An evil class to hack the Xerces smart-pointer class. I'm only doing this because I have to...

Deprecated:
  This class is part of the deprecated Xerces DOM bridge.

## Member Typedef Documentation

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOM_Node XercesDOM_NodeHack::ParentType

## Constructor & Destructor Documentation

XercesDOM_NodeHack::XercesDOM_NodeHack | ( | NodeImplType * | theImpl = 0 | ) |

XercesDOM_NodeHack::~XercesDOM_NodeHack | ( |  | ) |

## Member Function Documentation

NodeImplType* XercesDOM_NodeHack::getImpl | ( | const ParentType & | theNode | ) | `[static]`

NodeImplType* XercesDOM_NodeHack::getImpl | ( |  | ) | const

The documentation for this class was generated from the following file:

- XercesDOM_NodeHack.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.